Index: /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _as_validation_net_1994_95_v10.pro
+; .. _as_validation_net_1994_95_v10.pro:
 ;
 ; =================================
@@ -9,8 +9,46 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph as_validation_net_1994_95_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_as_expt_19*.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/as_validation_net_1994_95_v10.ps"];
+;
+;       as_validation_net_1994_95_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/as_validation_net_1994_95_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {as_validation_net_1994_95_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -23,4 +61,16 @@
 ;
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -28,4 +78,9 @@
 ; $Id$
 ;
+; - fplod 20110420T115926Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -34,5 +89,6 @@
 ;-
 pro as_validation_net_1994_95_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,5 +100,5 @@
 date1=19941016 & date2=19951019
 
-fi="/Users/pkb/data/Mooring_data/AS_expt/met_data_as_expt_1994.txt"
+fi=tropflux_id_env+"met_data_as_expt_1994.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -53,5 +109,5 @@
 net94=swr94+lwr94+lhf94+shf94
 
-fi="/Users/pkb/data/Mooring_data/AS_expt/met_data_as_expt_1995.txt"
+fi=tropflux_id_env+"met_data_as_expt_1995.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -71,14 +127,14 @@
 help, net
 ;; reading other data sets
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) & swr=reform(swr)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr=read_ncdf('lwr',date1-1,date2,file=file,/nostr, box=asbox) & lwr=reform(lwr)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf=-1*read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox) & shf=reform(shf)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf=-1*read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox) & lhf=reform(lhf)
@@ -91,5 +147,5 @@
 swr=0. & lwr=0. & shf=0. & lhf=0.
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) & swr=reform(swr)
@@ -100,5 +156,5 @@
 help, trop
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", date1-1, date2, file=file,/nostr, box=asbox) ;; & olr1=grossemoyenne(olr1, "xy",/nan, box=asbox) &
@@ -112,17 +168,17 @@
 help, trop, olr
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox) & swr=reform(swr)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox) & lwr=-1*reform(lwr)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox) & lhf=-1*reform(lhf)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox) & shf=-1*reform(shf)
@@ -134,9 +190,9 @@
 swr=0. & lwr=0. & shf=0. & lhf=0.
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr=read_ncdf("swr", date1, date2, file=fi,/nostr, box=asbox) & swr=reform(swr)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr=read_ncdf("lwr", date1, date2, file=fi,/nostr, box=asbox) & lwr=grossemoyenne(lwr, "xy",/nan, box=asbox) & lwr=reform(lwr)
@@ -144,9 +200,9 @@
 lwr=-1*lwr
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf=read_ncdf("lhf", date1, date2, file=fi,/nostr, box=asbox) & lhf=-1*reform(lhf)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf=read_ncdf("shf", date1, date2, file=fi,/nostr, box=asbox) & shf=-1*reform(shf)
@@ -159,5 +215,5 @@
 swr=0. & lwr=0. & shf=0. & lhf=0.
 
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox) & swr=reform(swr)
@@ -235,9 +291,7 @@
 xyouts, -150,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig='as_validation_net_1994_95_v10.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'as_validation_net_1994_95_v10.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro	(revision 46)
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph coare_validation_net_1992_93_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_as_expt_199*_p*.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/coare_validation_net_1992_93_all_v11.ps"];
+;
+;       coare_validation_net_1992_93_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {coare_validation_net_1992_93_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +61,17 @@
 ;  IDL> coare_validation_net_1992_93_all_v10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +79,9 @@
 ; $Id$
 ;
+; - fplod 20110420T120449Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +90,6 @@
 ;-
 pro coare_validation_net_1992_93_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -45,5 +103,5 @@
 ;; first leg
 ;; start data - 11/11/92 and end date 03/12/92
-fi="/Users/pkb/data/Mooring_data/COARE/met_data_coare_expt_1992_p1.txt"
+fi=tropflux_id_env+"met_data_coare_expt_1992_p1.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -60,5 +118,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/COARE/met_data_coare_expt_1992_p2.txt"
+fi=tropflux_id_env+"met_data_coare_expt_1992_p2.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -75,5 +133,5 @@
 ;; third leg
 
-fi="/Users/pkb/data/Mooring_data/COARE/met_data_coare_expt_1993_p1.txt"
+fi=tropflux_id_env+"met_data_coare_expt_1993_p1.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -90,5 +148,5 @@
 ;; fourth leg
 
-fi="/Users/pkb/data/Mooring_data/COARE/met_data_coare_expt_1993_p2.txt"
+fi=tropflux_id_env+"met_data_coare_expt_1993_p2.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -113,6 +171,5 @@
 st4=19930128 & en4=19930216
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_swr_19890101_20091231_oafluxgrid.nc'
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
@@ -121,5 +178,5 @@
 swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
@@ -128,5 +185,5 @@
 lwr4=read_ncdf('lwr',st4-1,en4,file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) & lwr4=reform(lwr4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -135,5 +192,5 @@
 lhf4=-1*read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) & lhf4=reform(lhf4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
@@ -151,5 +208,5 @@
 net1=0 & net2=0 & net3=0 & net4=0
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -176,5 +233,5 @@
 net3=swr3+lwr3+lhf3+shf3 & net4=swr4+lwr4+lhf4+shf4
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -194,5 +251,5 @@
 net1=0 & net2=0 & net3=0 & net4=0 & neto_1=0 & neto_2=0 & neto_3=0 & neto_4=0
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -201,5 +258,5 @@
 swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -208,5 +265,5 @@
 lwr4=-1*read_ncdf("lwr", st4, en4, file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -215,5 +272,5 @@
 lhf4=-1*read_ncdf("lhf", st4, en4, file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -232,5 +289,5 @@
 net1=0 & net2=0 & net3=0 & net4=0
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -239,5 +296,5 @@
 swr4=read_ncdf("swr", st4, en4, file=fi,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -246,5 +303,5 @@
 lwr4=-1*read_ncdf("lwr", st4, en4, file=fi,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -253,5 +310,5 @@
 lhf4=-1*read_ncdf("lhf", st4, en4, file=fi,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -270,6 +327,5 @@
 net1=0 & net2=0 & net3=0 & net4=0
 
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -370,9 +426,7 @@
 xyouts, -150,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig="coare_validation_net_1992_93_all_v11.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"coare_validation_net_1992_93_all_v11.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _stratus_validation_net_2001_2002_all_v10.pro
+; .. _stratus_validation_net_2001_2002_all_v10.pro:
 ;
 ; ============================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph stratus_validation_net_2001_2002_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_stratus_2001_2002.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/stratus_validation_net_2001_2002_all_v11.ps"];
+;
+;       stratus_validation_net_2001_2002_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {stratus_validation_net_2001_2002_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +61,19 @@
 ;  IDL> stratus_validation_net_2001_2002_all_v10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +81,9 @@
 ; $Id$
 ;
+; - fplod 20110420T120826Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +92,6 @@
 ;-
 pro stratus_validation_net_2001_2002_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -47,5 +107,5 @@
 ;; first leg
 
-fi="/Users/pkb/data/Mooring_data/stratus/met_data_stratus_2001_2002.txt"
+fi=tropflux_id_env+"met_data_stratus_2001_2002.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -62,14 +122,14 @@
 st1=20011019 & en1=20021022
 
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy", box=box,/nan) & swr=reform(swr)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr=reform(lwr)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf=reform(shf)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf=reform(lhf)
@@ -80,5 +140,5 @@
 swr=0 & lwr=0 & lhf=0 & shf=0
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
@@ -87,5 +147,5 @@
 lhf=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf=grossemoyenne(lhf, "xy",/nan, box=box) & lhf=reform(lhf)
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -96,17 +156,17 @@
 swr=0 & lwr=0 & lhf=0 & shf=0 & olr1=0
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr=-1*reform(lwr)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf=-1*reform(lhf)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf=read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf=-1*reform(shf)
@@ -116,18 +176,18 @@
 swr=0 & lwr=0 & lhf=0 & shf=0
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr=read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr=grossemoyenne(lwr, "xy",/nan, box=box) & lwr=reform(lwr)
 lwr=-1*lwr
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf=read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf=-1*reform(lhf)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf=read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf=-1*reform(shf)
@@ -138,6 +198,5 @@
 swr=0 & lwr=0 & lhf=0 & shf=0
 
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
@@ -214,9 +273,7 @@
 xyouts, -150,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig="stratus_validation_net_2001_2002_all_v11.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"stratus_validation_net_2001_2002_all_v11.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
